Name: libcroco
Version: 0.3.0
Release: alt2

Summary: A CSS2 parsing library
License: LGPL
Group: System/Libraries
Url: ftp://ftp.gnome.org

Source: %name-%version.tar.bz2

%define glib_ver 2.2.3
%define libxml2_ver 2.5.6

Requires: glib2 >= %glib_ver
Requires: libxml2 >= %libxml2_ver

BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libxml2-devel >= %libxml2_ver

# Automatically added by buildreq on Tue Jul 08 2003
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs doxygen esound-devel fontconfig freetype2 glib2-devel glibc-devel-static gnome-vfs2-devel libGConf2-devel libIDL-devel libalsa-devel libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libexpat libgnome-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libjpeg-devel liblinc-devel libpango-devel libpopt-devel libssl-devel libxml2-devel pkgconfig zlib-devel

%description
CSS2 parsing library for GNOME.

%package devel
Summary: Libraries and include files for developing with %name
Group: Development/C
Requires: %name = %version-%release
Requires: pkgconfig >= 0.8
Requires: glib2-devel >= %glib_ver
Requires: libxml2-devel >= %libxml2_ver

%description devel
This package provides the necessary development libraries and include
files to develop with %name.

%package -n css-utils
Summary: Command line CSS tools
Group: Text tools
Requires: %name = %version-%release

%description -n css-utils
This package provides csslint - program to parse CSS files. It is useful
for detecting errors both in CSS code and in the CSS parser itself.

%prep
%setup -q

%build
%configure --disable-static \
	    --enable-seleng=yes \
	    --enable-layeng=yes \
	    --enable-tests=yes

%make_build
%make_build apidoc

%install
%makeinstall

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%doc AUTHORS ChangeLog NEWS README TODO

%files devel
%_bindir/croco-config
%_includedir/*
%_libdir/*.so
%_libdir/*.la
%_libdir/pkgconfig/*
%_man1dir/croco-config*
%doc docs/{apis/html,examples}

%files -n css-utils
%_bindir/csslint
%_man1dir/csslint*

%changelog
* Wed Oct 01 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.3.0-alt2
- fixed buildreqs.

* Tue Jul 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.3.0-alt1
- 0.3.0

* Mon Jun 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.0-alt1
- 0.2.0

* Fri Apr 18 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.1.0-alt1
- First build for Sisyphus.
